Bug 246154 - Autotools projects no longer build with latest CDT 4.0
Summary: Autotools projects no longer build with latest CDT 4.0
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 20:47 UTC by Jeff Johnston
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 19:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnston 2007-06-28 20:47:27 UTC
The latest CDT 4.0 (RC4) has removed functionality used by the Autotools 4.0
version of the plugin.  This causes the build directory to be hard-wired to the
configuration name (e.g. Build (GNU)) instead of using the build path set up for
configuration.  A fix is required to make this work again.

Comment 1 Jeff Johnston 2007-07-04 19:41:08 UTC
A fix has been made in the current repository to fix the problem.  A special
builder is created that overrides the build path functionality above and solves
the problem.


Note You need to log in before you can comment on or make changes to this bug.